QwtPlotGrid(3)

NAME
QwtPlotGrid - A class which draws a coordinate grid.

SYNOPSIS

#include <qwt_plot_grid.h>

Inherits QwtPlotItem.

  Public Member Functions
QwtPlotGrid ()
Enables major grid, disables minor grid.
virtual ~QwtPlotGrid ()
Destructor.
virtual int rtti () const override
void enableX (bool)
Enable or disable vertical grid lines.
bool xEnabled () const
void enableY (bool)
Enable or disable horizontal grid lines.
bool yEnabled () const
void enableXMin (bool)
Enable or disable minor vertical grid lines.
bool xMinEnabled () const
void enableYMin (bool)
Enable or disable minor horizontal grid lines.
bool yMinEnabled () const
void setXDiv (const QwtScaleDiv &)
const QwtScaleDiv & xScaleDiv () const
void setYDiv (const QwtScaleDiv &)
const QwtScaleDiv & yScaleDiv () const
void setPen (const QColor &, qreal width=0.0, Qt::PenStyle=Qt::SolidLine)
void setPen (const QPen &)
void setMajorPen (const QColor &, qreal width=0.0, Qt::PenStyle=Qt::SolidLine)
void setMajorPen (const QPen &)
const QPen & majorPen () const
void setMinorPen (const QColor &, qreal width=0.0, Qt::PenStyle=Qt::SolidLine)
void setMinorPen (const QPen &)
const QPen & minorPen () const
virtual void draw (QPainter *, const QwtScaleMap &xMap, const QwtScaleMap &yMap, const QRectF &canvasRect) const override
Draw the grid.
virtual void updateScaleDiv (const QwtScaleDiv &xScaleDiv, const QwtScaleDiv &yScaleDiv) override

  Additional Inherited Members

Detailed Description

A class which draws a coordinate grid. The QwtPlotGrid class can be used to draw a coordinate grid. A coordinate grid consists of major and minor vertical and horizontal grid lines. The locations of the grid lines are determined by the X and Y scale divisions which can be assigned with setXDiv() and setYDiv(). The draw() member draws the grid within a bounding rectangle.

Definition at line 33 of file qwt_plot_grid.h.

Member Function Documentation

  void QwtPlotGrid::draw (QPainter * painter, const QwtScaleMap & xMap, const QwtScaleMap & yMap, const QRectF & canvasRect) const [override], [virtual]

Draw the grid. The grid is drawn into the bounding rectangle such that grid lines begin and end at the rectangle's borders. The X and Y maps are used to map the scale divisions into the drawing region screen.

Parameters
    painter Painter
    xMap X axis map
    yMap Y axis
    canvasRect Contents rectangle of the plot canvas

Implements QwtPlotItem.

Definition at line 282 of file qwt_plot_grid.cpp.

  void QwtPlotGrid::enableX (bool on)

Enable or disable vertical grid lines.

Parameters
    on Enable (true) or disable

See also
    Minor grid lines can be enabled or disabled with enableXMin()

Definition at line 76 of file qwt_plot_grid.cpp.

  void QwtPlotGrid::enableXMin (bool on)

Enable or disable minor vertical grid lines.

Parameters
    on Enable (true) or disable

See also
    enableX()

Definition at line 108 of file qwt_plot_grid.cpp.

  void QwtPlotGrid::enableY (bool on)

Enable or disable horizontal grid lines.

Parameters
    on Enable (true) or disable

See also
    Minor grid lines can be enabled or disabled with enableYMin()

Definition at line 92 of file qwt_plot_grid.cpp.

  void QwtPlotGrid::enableYMin (bool on)

Enable or disable minor horizontal grid lines.

Parameters
    on Enable (true) or disable

See also
    enableY()

Definition at line 124 of file qwt_plot_grid.cpp.

  const QPen & QwtPlotGrid::majorPen () const

Returns
    the pen for the major grid lines

See also
    setMajorPen(), setMinorPen(), setPen()

Definition at line 367 of file qwt_plot_grid.cpp.

  const QPen & QwtPlotGrid::minorPen () const

Returns
    the pen for the minor grid lines

See also
    setMinorPen(), setMajorPen(), setPen()

Definition at line 376 of file qwt_plot_grid.cpp.

  int QwtPlotGrid::rtti () const [override], [virtual]

Returns
    QwtPlotItem::Rtti_PlotGrid

Reimplemented from QwtPlotItem.

Definition at line 64 of file qwt_plot_grid.cpp.

  void QwtPlotGrid::setMajorPen (const QColor & color, qreal width = 0.0, Qt::PenStyle style = Qt::SolidLine)
Build and assign a pen for both major grid lines

In Qt5 the default pen width is 1.0 ( 0.0 in Qt4 ) what makes it non cosmetic ( see QPen::isCosmetic() ). This method has been introduced to hide this incompatibility.

Parameters
    color Pen color
    width Pen width
    style Pen style

See also
    pen(), brush()

Definition at line 212 of file qwt_plot_grid.cpp.

  void QwtPlotGrid::setMajorPen (const QPen & pen)
Assign a pen for the major grid lines

Parameters
    pen Pen

See also
    majorPen(), setMinorPen(), setPen()

Definition at line 223 of file qwt_plot_grid.cpp.

  void QwtPlotGrid::setMinorPen (const QColor & color, qreal width = 0.0, Qt::PenStyle style = Qt::SolidLine)
Build and assign a pen for the minor grid lines

In Qt5 the default pen width is 1.0 ( 0.0 in Qt4 ) what makes it non cosmetic ( see QPen::isCosmetic() ). This method has been introduced to hide this incompatibility.

Parameters
    color Pen color
    width Pen width
    style Pen style

See also
    pen(), brush()

Definition at line 247 of file qwt_plot_grid.cpp.

  void QwtPlotGrid::setMinorPen (const QPen & pen)
Assign a pen for the minor grid lines

Parameters
    pen Pen

See also
    minorPen(), setMajorPen(), setPen()

Definition at line 258 of file qwt_plot_grid.cpp.

  void QwtPlotGrid::setPen (const QColor & color, qreal width = 0.0, Qt::PenStyle style = Qt::SolidLine)
Build and assign a pen for both major and minor grid lines

In Qt5 the default pen width is 1.0 ( 0.0 in Qt4 ) what makes it non cosmetic ( see QPen::isCosmetic() ). This method has been introduced to hide this incompatibility.

Parameters
    color Pen color
    width Pen width
    style Pen style

See also
    pen(), brush()

Definition at line 176 of file qwt_plot_grid.cpp.

  void QwtPlotGrid::setPen (const QPen & pen)
Assign a pen for both major and minor grid lines

Parameters
    pen Pen

See also
    setMajorPen(), setMinorPen()

Definition at line 187 of file qwt_plot_grid.cpp.

  void QwtPlotGrid::setXDiv (const QwtScaleDiv & scaleDiv)
Assign an x axis scale division

Parameters
    scaleDiv Scale division

Definition at line 140 of file qwt_plot_grid.cpp.

  void QwtPlotGrid::setYDiv (const QwtScaleDiv & scaleDiv)
Assign a y axis division

Parameters
    scaleDiv Scale division

Definition at line 154 of file qwt_plot_grid.cpp.

  void QwtPlotGrid::updateScaleDiv (const QwtScaleDiv & xScaleDiv, const QwtScaleDiv & yScaleDiv) [override], [virtual]
Update the grid to changes of the axes scale division

Parameters
    xScaleDiv Scale division of the x-axis
    yScaleDiv Scale division of the y-axis

See also
    QwtPlot::updateAxes()

Reimplemented from QwtPlotItem.

Definition at line 438 of file qwt_plot_grid.cpp.

  bool QwtPlotGrid::xEnabled () const

Returns
    true if vertical grid lines are enabled

See also
    enableX()

Definition at line 385 of file qwt_plot_grid.cpp.

  bool QwtPlotGrid::xMinEnabled () const

Returns
    true if minor vertical grid lines are enabled

See also
    enableXMin()

Definition at line 394 of file qwt_plot_grid.cpp.

  const QwtScaleDiv & QwtPlotGrid::xScaleDiv () const

Returns
    the scale division of the x axis

Definition at line 419 of file qwt_plot_grid.cpp.

  bool QwtPlotGrid::yEnabled () const

Returns
    true if horizontal grid lines are enabled

See also
    enableY()

Definition at line 403 of file qwt_plot_grid.cpp.

  bool QwtPlotGrid::yMinEnabled () const

Returns
    true if minor horizontal grid lines are enabled

See also
    enableYMin()

Definition at line 412 of file qwt_plot_grid.cpp.

  const QwtScaleDiv & QwtPlotGrid::yScaleDiv () const

Returns
    the scale division of the y axis

Definition at line 425 of file qwt_plot_grid.cpp.

Author

Generated automatically by Doxygen for Qwt User's Guide from the source code.